import time

info ='Выберите категорию анекдотов:\n 1.Анекдоты про пилотов\n 2.Анекдоты про животных\n 3.Анекдоты про иностранцев\n 4.Вернуть категории анекдотов\n'
print(info)
pilot = ['\nПрыгнул с самолета первоход-парашютист.\nДернул кольцо основного парашюта, купол не раскрывается.\nРванул кольцо запасного — не открывается.\nЗемля уже близко и тут он расслабился: "Эх, хорошо, что земля круглая, а то бы разбился об угол насмерть!"',
         '\nУ военных пилотов ночной тренировочный вылет. Запрос от диспетчера:\n— Борт номер 1234, доложите полётную видимость.\n— 384400 километров.\n— Как определили?\n— Луну вижу.',
         '\nСамолет рейса Нью-Йорк-Москва пошел на взлет, как вдруг остановился и вернулся обратно на стоянку.\nПрошло два часа, пока самолет все же взял курс на Москву. Один из пассажиров спросил стюардессу, в чем была причина задержки.\n- Пилота обеспокоил странный звук при работе правого двигателя, - ответила она, - и потребовалось два часа времени, пока нашли другого пилота.\n',
         ]
animal = ['\nЗайца приговорили к смертной казни через съедение стаей волков\nСудья медведь спрашивает:\n-ваше последнее желание?\nЗаяц покосился на стаю волков и спросил:\n-я могу поесть перед смертью?\n-конечно, что будете есть?\n-стаю волков',
         '\nОдного медведя заколдовала ведьма: он мог говорить только одно слово в год. Он не говорил ни слова 6 лет и накопил 6 слов.\nПришёл к ведьме и съел её.',
         '\nШел медведь по лесу. Вдруг, видит камень, а на нем надпись: налево пойдешь – в машине сгоришь, направо пойдешь – в машине сгоришь, прямо пойдешь – в машине сгоришь.\nПошел медведь назад, видит, машина горит. Сел в неё и сгорел.\n']
foreign = ['\nИдёт грузин с бумерангом, весь в синяках и ссадинах. Hавстречу ему другой:\n- Вано, эта чито у тэбя в рукэ?\n- Hэ знаю.\n- А зачэм оно тибэ?\n- Hэ знаю.\n- Так ти его викинь.\n- Hа, сам викинь!',
        '\nЦыган попадает в тюрьму. Сокамерники спрашивают за что он здесь:\n- Я ограбил ювелирный магазин. Я разбил витрину кирпичом и украл все драгоценности.\n- И тебя поймали на месте?\n- Нет, меня позже поймали. Когда я вернулся за кирпичом.',
        '\nЗаходят как-то в бар еврей-коммунист, китаец-либерал и цыган-трудоголик.\nБармен молча принимает таблетки.\n']
d = {'1':pilot,'2':animal,'3':foreign}


while True:
    x = int(input('введите категорию анекдота: \n'))
    if x == 1:
        for i in d['1']:
            print(i)
            time.sleep(5)
    elif x == 2:
        for i in d['2']:
            print(i)
            time.sleep(5)
    elif x == 3:
        for i in d['3']:
            print(i)
            time.sleep(5)
    elif x == 4:
        print(info)
    else:
        print("Ошибка")